Env::Dot::ScriptFunctions(3pm)

NAME
Env::Dot::ScriptFunctions - Read environment variables from a .env file

VERSION
version 0.019

SYNOPSIS
    use Env::Dot::ScriptFunctions qw( convert_variables_into_commands );

DESCRIPTION

STATUS
This module is currently being developed so changes in the API are possible, though not likely.

This package just contains functions for use in the main package Env::Dot and in the command line tool envdot.

FUNCTIONS
No functions are automatically exported to the calling namespace.

  convert_variables_into_commands()
# Return all variables from the .env file # as a list of hashes (name/value pairs). # This list is created in the same order the variables # are read from the files and may therefore contain # the same variable several times.

AUTHOR
Mikko Koivunalho <mikkoi@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2023 by Mikko Koivunalho.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.